Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.context
Interface ContextMenuEventConstants

public interface ContextMenuEventConstants

A interface containing the constants related to ContextMenu events.

Version:
  1.0
Author:
  C.N.Medappa

Field Summary
`static short` | `ATTRIBUTE_NODE`
`static short` | `CDATA_SECTION_NODE`
`static short` | `COMMENT_NODE`
`static short` | `CONTEXT_BACKGROUND_IMAGE` Flag.
`static short` | `CONTEXT_DOCUMENT` Flag.
`static short` | `CONTEXT_IMAGE` Flag.
`static short` | `CONTEXT_INPUT` Flag.
`static short` | `CONTEXT_LINK` Flag.
`static short` | `CONTEXT_NONE` Flag.
`static short` | `CONTEXT_TEXT` Flag.
`static short` | `DOCUMENT_FRAGMENT_NODE`
`static short` | `DOCUMENT_NODE`
`static short` | `DOCUMENT_TYPE_NODE`
`static short` | `ELEMENT_NODE` The node types.
`static short` | `ENTITY_NODE`
`static short` | `ENTITY_REFERENCE_NODE`
`static short` | `NOTATION_NODE`
`static short` | `PROCESSING_INSTRUCTION_NODE`
`static short` | `TEXT_NODE`

Field Detail

### CONTEXT_NONE

    public static final short CONTEXT_NONE

  Flag. No context

  See Also:
    Constant Field Values

### CONTEXT_LINK

    public static final short CONTEXT_LINK

  Flag. Context is a link element.

  See Also:
    Constant Field Values

### CONTEXT_IMAGE

    public static final short CONTEXT_IMAGE

  Flag. Context is an image element.

  See Also:
    Constant Field Values

### CONTEXT_DOCUMENT

    public static final short CONTEXT_DOCUMENT

  Flag. Context is the whole document.

  See Also:
    Constant Field Values

### CONTEXT_TEXT

    public static final short CONTEXT_TEXT

  Flag. Context is a text area element. <P> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.CONTEXT_TEXT">Constant Field Values</A></DL> </DL> <HR> <A NAME="CONTEXT_INPUT"><!-- --></A><H3> CONTEXT_INPUT</H3> <PRE> public static final short <B>CONTEXT_INPUT</B></PRE> <DL> <DD>Flag. Context is an input element.<INPUT> <P> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.CONTEXT_INPUT">Constant Field Values</A></DL> </DL> <HR> <A NAME="CONTEXT_BACKGROUND_IMAGE"><!-- --></A><H3> CONTEXT_BACKGROUND_IMAGE</H3> <PRE> public static final short <B>CONTEXT_BACKGROUND_IMAGE</B></PRE> <DL> <DD>Flag. Context is a background image.<HTML> with background image <P> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.CONTEXT_BACKGROUND_IMAGE">Constant Field Values</A></DL> </DL> <HR> <A NAME="ELEMENT_NODE"><!-- --></A><H3> ELEMENT_NODE</H3> <PRE> public static final short <B>ELEMENT_NODE</B></PRE> <DL> <DD>The node types. <P> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.ELEMENT_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="ATTRIBUTE_NODE"><!-- --></A><H3> ATTRIBUTE_NODE</H3> <PRE> public static final short <B>ATTRIBUTE_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.ATTRIBUTE_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="TEXT_NODE"><!-- --></A><H3> TEXT_NODE</H3> <PRE> public static final short <B>TEXT_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.TEXT_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="CDATA_SECTION_NODE"><!-- --></A><H3> CDATA_SECTION_NODE</H3> <PRE> public static final short <B>CDATA_SECTION_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.CDATA_SECTION_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="ENTITY_REFERENCE_NODE"><!-- --></A><H3> ENTITY_REFERENCE_NODE</H3> <PRE> public static final short <B>ENTITY_REFERENCE_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.ENTITY_REFERENCE_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="ENTITY_NODE"><!-- --></A><H3> ENTITY_NODE</H3> <PRE> public static final short <B>ENTITY_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.ENTITY_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="PROCESSING_INSTRUCTION_NODE"><!-- --></A><H3> PROCESSING_INSTRUCTION_NODE</H3> <PRE> public static final short <B>PROCESSING_INSTRUCTION_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.PROCESSING_INSTRUCTION_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="COMMENT_NODE"><!-- --></A><H3> COMMENT_NODE</H3> <PRE> public static final short <B>COMMENT_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.COMMENT_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="DOCUMENT_NODE"><!-- --></A><H3> DOCUMENT_NODE</H3> <PRE> public static final short <B>DOCUMENT_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.DOCUMENT_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="DOCUMENT_TYPE_NODE"><!-- --></A><H3> DOCUMENT_TYPE_NODE</H3> <PRE> public static final short <B>DOCUMENT_TYPE_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.DOCUMENT_TYPE_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="DOCUMENT_FRAGMENT_NODE"><!-- --></A><H3> DOCUMENT_FRAGMENT_NODE</H3> <PRE> public static final short <B>DOCUMENT_FRAGMENT_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.DOCUMENT_FRAGMENT_NODE">Constant Field Values</A></DL> </DL> <HR> <A NAME="NOTATION_NODE"><!-- --></A><H3> NOTATION_NODE</H3> <PRE> public static final short <B>NOTATION_NODE</B></PRE> <DL> <DL> <DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.mozilla.jrex.event.context.ContextMenuEventConstants.NOTATION_NODE">Constant Field Values</A></DL> </DL> <!-- ========= CONSTRUCTOR DETAIL ======== --> <!-- ============ METHOD DETAIL ========== --> <!-- ========= END OF CLASS DATA ========= --> <HR> <!-- ======= START OF BOTTOM NAVBAR ====== --> <A NAME="navbar_bottom"><!-- --></A> <A HREF="#skip-navbar_bottom" title="Skip navigation links"></A> <TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY=""> <TR> <TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A NAME="navbar_bottom_firstrow"><!-- --></A> <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY=""> <TR ALIGN="center" VALIGN="top"> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A> </TD> <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> <FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="class-use/ContextMenuEventConstants.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A> </TD> <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1"> <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A> </TD> </TR> </TABLE> </TD> <TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM> </EM> </TD> </TR> <TR> <TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2"> PREV CLASS <A HREF="../../../../../org/mozilla/jrex/event/context/ContextMenuListener.html" title="interface in org.mozilla.jrex.event.context"><B>NEXT CLASS</B></A></FONT></TD> <TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2"> <A HREF="../../../../../index.html" target="_top"><B>FRAMES</B></A> <A HREF="ContextMenuEventConstants.html" target="_top"><B>NO FRAMES</B></A> <SCRIPT type="text/javascript"> <!-- if(window==top) { document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>'); } //--> </SCRIPT> <NOSCRIPT> <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A> </NOSCRIPT> </FONT></TD> </TR> <TR> <TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2"> SUMMARY: NESTED | <A HREF="#field_summary">FIELD</A> | CONSTR | METHOD</FONT></TD> <TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2"> DETAIL: <A HREF="#field_detail">FIELD</A> | CONSTR | METHOD</FONT></TD> </TR> </TABLE> <A NAME="skip-navbar_bottom"></A> <!-- ======== END OF BOTTOM NAVBAR ======= --> <HR> <i>Copyright © 2004 C.N.Medappa. All Rights Reserved.</i> </BODY> </HTML>